### Function

# GimpUi IntStore lookup_by_value

#### Declaration [src]

    gboolean
    gimp_int_store_lookup_by_value (
      GtkTreeModel* model,
      gint value,
      GtkTreeIter* iter
    )

#### Description [src]

Iterate over the `model` looking for `value`.

Available since: | 2.2

#### Parameters

`model` | `GtkTreeModel`
| A `GimpIntStore`.
| The data is owned by the caller of the function.
`value` | `gint`
| An integer value to lookup in the `model`.
`iter` | `GtkTreeIter`
| Return location for the iter of the given `value`.
| The argument will be set by the function.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gboolean`
| `TRUE` if the value has been located and `iter` is valid, `FALSE` otherwise.